Description

Attached patch fixes troubles with "//" in configuration variables, mentioned in this topic: 

http://www.ultimatepp.org/forums/index.php?t=msg&#38;goto=43042

The bug can be reproduced by using ini file containing something like this:

@replace-env

var=file://$HOME/test

History

#1 - 04/26/2014 02:07 PM - Jan Dolinár

- File deleted (ini.patch)

#2 - 04/26/2014 02:08 PM - Jan Dolinár

- File ini.patch added

Updated the patch...

#3 - 04/28/2014 03:18 PM - Miroslav Fidler

- Status changed from Patch ready to Ready for QA

- Assignee changed from Miroslav Fidler to Jan Dolinár

In the end, I have decided to refactor the code a bit more, please check... (note: autotest/LoadIniStream should be testing this)

#4 - 04/28/2014 06:48 PM - Jan Dolinár

- File ini2.patch added

Miroslav Fidler wrote:

In the end, I have decided to refactor the code a bit more, please check... (note: autotest/LoadIniStream should be testing this)

It works well, only thing I'd disagree with you is the skipping of spaces. I think there should be either "while(*s <= ' ') s++;" or nothing, so that all whitespace

characters are treated the same way. But I'd vote to skip this entirely, it is not very common to add space between $ and variable name. Unless you know

about some reason I didn't think about :)

Also, while we are at this, I'd also like to add solution to one more related problem I hit recently: There is no way to write things like "$USER_backup",

05/17/2025 1/2

http://www.ultimatepp.org/forums/index.php?t=msg&#38;goto=43042


because entire string would be interpreted as variables name. The solution is to allow writing "${USER}_backup", as it is done in shell. Also, it allows to use

non-standard characters in variables (it is allowed on Windows and not directly prohibited by POSIX). The attached patch does exactly this. Autotest is

modified accordingly.

#5 - 05/16/2014 08:28 AM - Miroslav Fidler

- Status changed from Ready for QA to Approved

Thanks!

#6 - 05/16/2014 08:29 AM - Miroslav Fidler

P.S.: Next time please change "Assigned to"... :)

Files

ini.patch 588 Bytes 04/26/2014 Jan Dolinár

ini2.patch 1.38 KB 04/28/2014 Jan Dolinár
